Skip to content
Back to top

# DefaultColorSpaces

only mutool run

An object given to a Device with the `Device.prototype.setDefaultColorSpaces()` call so it can obtain the current default ColorSpace objects.

## Constructors

class DefaultColorSpaces()

## Instance methods

DefaultColorSpaces.prototype.getDefaultGray()

  Get the default gray colorspace.

  Returns:

    ColorSpace

DefaultColorSpaces.prototype.getDefaultRGB()

  Get the default RGB colorspace.

  Returns:

    ColorSpace

DefaultColorSpaces.prototype.getDefaultCMYK()

  Get the default CMYK colorspace.

  Returns:

    ColorSpace

DefaultColorSpaces.prototype.getOutputIntent()

  Get the output intent.

  Returns:

    ColorSpace

DefaultColorSpaces.prototype.setDefaultGray(colorspace)
  Arguments:

    - colorspace (`ColorSpace`) – The new default gray colorspace.

DefaultColorSpaces.prototype.setDefaultRGB(colorspace)
  Arguments:

    - colorspace (`ColorSpace`) – The new default RGB colorspace.

DefaultColorSpaces.prototype.setDefaultCMYK(colorspace)
  Arguments:

    - colorspace (`ColorSpace`) – The new default CMYK colorspace.

DefaultColorSpaces.prototype.setOutputIntent(colorspace)
  Arguments:

    - colorspace (`ColorSpace`) – The new default output intent.